Package twisted :: Package protocols :: Module policies :: Class TimeoutFactory

[frames | no frames]

## Class TimeoutFactory

      Factory --+
                |
    ClientFactory --+
                    |
      WrappingFactory --+
                        |
                       TimeoutFactory

Factory for TimeoutWrapper.

Stability: Unstable

Method Summary
| `__init__(self, wrappedFactory, timeoutPeriod)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
Inherited from WrappingFactory
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed to connect.
| ``clientConnectionLost`(self, connector, reason)` Called when an established connection is lost.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``registerProtocol`(self, p)` Called by protocol to register itself.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
| ``unregisterProtocol`(self, p)` Called by protocols when they go away.
Inherited from Factory
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.protocols.policies.TimeoutProtocol`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Parameters:
    `addr` - an object implementing `twisted.internet.interfaces.IAddress`
  Overrides:
    `twisted.protocols.policies.WrappingFactory.buildProtocol` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:44 2004 | http://epydoc.sf.net